Invite Members¶
POST /api/v1/workspace/member/batch_invitation
Overview¶
Invite one or multiple members.
Body Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| to | array | Y | List of invitees Example: ['xxx@guance.com', 'xxx@guance.com'] Allow empty: True |
| roleUUIDs | array | Y | List of role UUIDs for the invitees Example: ['wsAdmin'] Allow empty: False |
| method | string | Y | Invitation method Example: None Allow empty: False Optional values: ['email'] |
Parameter Supplementary Notes¶
- roleUUIDs Description
| Role | Description |
|---|---|
| wsAdmin | Administrator role, only owner / wsAdmin can invite |
| general | Standard member role |
| readOnly | Read-only role |
| role_xxx | Custom role |
Setting the owner role via invitation is not supported.
Request Example¶
curl 'https://openapi.guance.com/api/v1/workspace/member/batch_invitation' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"to": ["xxx@guance.com"], "method": "email", "roleUUIDs": ["general"]}' \
--compressed